Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.crypto
Class DHSessionKeyBuilder.InvalidPublicParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException
                  net.i2p.crypto.DHSessionKeyBuilder.InvalidPublicParameterException

All Implemented Interfaces:
  Serializable

Enclosing class:
  DHSessionKeyBuilder

    public static class DHSessionKeyBuilder.InvalidPublicParameterException

extends I2PException

See Also:
  Serialized Form

Constructor Summary
`DHSessionKeyBuilder.InvalidPublicParameterException()`
`DHSessionKeyBuilder.InvalidPublicParameterException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DHSessionKeyBuilder.InvalidPublicParameterException

    public DHSessionKeyBuilder.InvalidPublicParameterException()

### DHSessionKeyBuilder.InvalidPublicParameterException

    public DHSessionKeyBuilder.InvalidPublicParameterException(String msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD